- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GNet::SocketProtocolImp Class Reference

A private implementation class used by GNet::SocketProtocol. More...

## Public Member Functions
| SocketProtocolImp (EventHandler &, SocketProtocol::Sink &, StreamSocket &, unsigned int secure_connection_timeout, const Socket::Credentials &)
| ~SocketProtocolImp ()
void | readEvent ()
bool | writeEvent ()
bool | send (const std::string &data, std::string::size_type offset)
void | sslConnect ()
void | sslAccept ()
bool | sslEnabled () const
std::string | peerCertificate () const

## Detailed Description

A private implementation class used by GNet::SocketProtocol.

Definition at line 41 of file gsocketprotocol.cpp.

## Constructor & Destructor Documentation

GNet::SocketProtocolImp::SocketProtocolImp | ( | EventHandler & | handler,
|  | SocketProtocol::Sink & | sink,
|  | StreamSocket & | socket,
|  | unsigned int | secure_connection_timeout,
|  | const Socket::Credentials & | credentials
| ) |  |

Definition at line 97 of file gsocketprotocol.cpp.

GNet::SocketProtocolImp::~SocketProtocolImp | ( |  | ) |

Definition at line 115 of file gsocketprotocol.cpp.

## Member Function Documentation

std::string GNet::SocketProtocolImp::peerCertificate | ( |  | ) | const

Definition at line 510 of file gsocketprotocol.cpp.

void GNet::SocketProtocolImp::readEvent | ( |  | ) |

Definition at line 126 of file gsocketprotocol.cpp.

References G_DEBUG.

bool GNet::SocketProtocolImp::send | ( | const std::string & | data,
|  | std::string::size_type | offset
| ) |  |

Definition at line 158 of file gsocketprotocol.cpp.

void GNet::SocketProtocolImp::sslAccept | ( |  | ) |

Definition at line 257 of file gsocketprotocol.cpp.

References G_ASSERT, and G_DEBUG.

void GNet::SocketProtocolImp::sslConnect | ( |  | ) |

Definition at line 211 of file gsocketprotocol.cpp.

References G_ASSERT, and G_DEBUG.

bool GNet::SocketProtocolImp::sslEnabled | ( |  | ) | const

Definition at line 298 of file gsocketprotocol.cpp.

bool GNet::SocketProtocolImp::writeEvent | ( |  | ) |

Definition at line 141 of file gsocketprotocol.cpp.

References G_DEBUG.

The documentation for this class was generated from the following file:

- gsocketprotocol.cpp